<!DOCTYPE html>
<html lang="en" dir="ltr" prefix="content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# ">
  <head>
    <meta charset="utf-8" />
<link rel="canonical" href="http://default/tag/drupal-9" />
<meta name="Generator" content="Drupal 9 (https://www.drupal.org)" />
<meta name="MobileOptimized" content="width" />
<meta name="HandheldFriendly" content="true" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="shortcut icon" href="/themes/contrib/material_base/starterkits/material_compile/favicon.ico" type="image/vnd.microsoft.icon" />
<link rel="delete-form" href="/taxonomy/term/10/delete" />
<link rel="edit-form" href="/taxonomy/term/10/edit" />
<link rel="alternate" type="application/rss+xml" title="Drupal 9" href="http://default/taxonomy/term/10/feed" />

    <title>Drupal 9 | Blog de Oskar</title>
    <link rel="stylesheet" media="all" href="/sites/default/files/css/css_3PcFAjRSdZ_bz3MJfz8L_RikGRUw4v0YNxuyLDOV8ww.css" />
<link rel="stylesheet" media="all" href="/sites/default/files/css/css_NyznZm3NpCaIvk4H9UoR0TjuyZOw0VQyBReYksZbsJM.css" />

    
  </head>
  <body class="one-sidebar sidebar-first navbar-fixed path-taxonomy">
    <a href="#main-content" class="visually-hidden focusable">
      Skip to main content
    </a>
    
      <div class="dialog-off-canvas-main-canvas" data-off-canvas-main-canvas>
    <div id="page" class="layout-container">

  <div id="navbar">
    
    <!--
    
    
    -->
  </div>

  <div id="drawer-overlay"></div>
  <div id="drawer">
    
  </div>

  <header id="header" role="banner">
    <div id="header-content">
      
    </div>
    <div id="header-bg">
      
    </div>
  </header>

  
  <div id="content">
    
    <main role="main" id="main" class="container">
      <div id="main-content" tabindex="-1">
        <div class="card-holder">
            <div class="region region-breadcrumb">
    <div id="block-material-compile-breadcrumbs--5">
  
    
        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">
    <h2 class="visually-hidden">Breadcrumb</h2>
    <ol>
          <li>
                  <a href="/">Home</a>
              </li>
        </ol>
  </nav>

  </div>

  </div>

            <div class="region region-highlighted">
    <div data-drupal-messages-fallback class="hidden"></div>

  </div>

          

          <div class="layout-content">
              <div class="region region-content">
    <div id="block-material-compile-page-title">
  
    
      
  <h1>Drupal 9</h1>


  </div>
<div id="block-material-compile-content">
  
    
      <div class="views-element-container"><div class="js-view-dom-id-a450138e14e3e5a179761b975236266881a6bcd5d85cba4c9184b3f19e6fc33b">
  
  
  

      <header>
      <div about="/tag/drupal-9" typeof="schema:Thing">
  
      <span property="schema:name" content="Drupal 9" class="hidden"></span>

  
</div>

    </header>
  
  
  

      <div class="views-row"><article data-history-node-id="13" role="article" about="/blog/2021-04-05/drupal-y-codesniffer-para-mantener-la-calidad-del-codigo-de-nuestros-proyectos" typeof="schema:Article">

  
      <h2>
      <a href="/blog/2021-04-05/drupal-y-codesniffer-para-mantener-la-calidad-del-codigo-de-nuestros-proyectos" rel="bookmark"><span property="schema:name">Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos</span>
</a>
    </h2>
      <span property="schema:name" content="Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos" class="hidden"></span>


      <footer>
      <article typeof="schema:Person" about="/user/1">
  </article>

      <div>
        Submitted by <span rel="schema:author"><span lang="" about="/user/1" typeof="schema:Person" property="schema:name" datatype="">Oskar</span></span>
 on <span property="schema:dateCreated" content="2021-04-05T16:03:50+00:00">Mon, 04/05/2021 - 18:03</span>
          <span property="schema:dateCreated" content="2021-04-05T16:03:50+00:00" class="hidden"></span>

      </div>
    </footer>
  
  <div>
    
            <div property="schema:text" class="field field-name-body field-type-text-with-summary field-label-hidden field-item"><blockquote>
<p><b>CodeSniffer</b> es un script de PHP5 que analiza código <b>PHP</b> para detectar violaciones de un conjunto definido de normas de codificación. Analiza el código fuente para ver si cumple o no con un estándar, ya sea Zend, Pear o uno personalizado.</p>
<cite><a href="http://www.juntadeandalucia.es/servicios/madeja/contenido/recurso/270#:~:text=CodeSniffer%20es%20un%20script%20de,Zend%2C%20Pear%20o%20uno%20personalizado.">Junta de Andalucía</a></cite></blockquote>

<p> </p>

<p><a href="https://github.com/squizlabs/PHP_CodeSniffer">CodeSniffer</a> es una herramienta muy sencilla de usar y con uan instalación muy simple que permitirá mantener los estándares de codificación de nuestros proyectos.<br />
La inslatación es muy sencillo, lo primero comprobamos que tengamos instalado CodeSniffer </p>

<pre>
<code class="language-bash">phpcs -i</code></pre>

<p>Tiene que devolver algo parecido a esta salidad, no exactamente la misma ya que yo ya tengo instalada los estándares de Drupal:</p>

<pre>
<code class="language-bash">The installed coding standards are Zend, PSR1, PSR12, Squiz, PEAR, MySource, PSR2, Drupal, DrupalPractice and VariableAnalysis
</code></pre>

<p>Si no tenemos instalado CodeSniffer lo instalamos:</p>

<pre>
<code class="language-bash">composer require --dev drupal/core-dev</code></pre>

<p>Y comprobamos que ahora si tengamos instalado el CodeSniffer.</p>

<p> </p>

<p>Una vez instalado tenemos que instalar los estándares de código de Drupal:</p>

<pre>
<code class="language-bash">composer require --dev dealerdirect/phpcodesniffer-composer-installer</code></pre>

<p> </p>

<p>Y ya tendríamos instalado lo básico que usar esta herramienta.</p>

<p>Para usar el analizador de CodeSniffer lo ejecutamos de la siguiente manera:</p>

<pre>
<code class="language-bash">phpcs --standard=Drupal --extensions=php,module web/modules/contrib/
</code></pre>

<p> </p>

<p>Con esta orden o nos indica que esta todo bien o nos devolverá un informe como el siguiente:</p></div>
      
  <div class="field field-name-field-tags field-type-entity-reference field-label-above">
    <div class="field-label">Tags</div>
          <div class="field-items">
              <div class="field-item"><a href="/tag/calidad" property="schema:about" hreflang="en">Calidad</a></div>
          <div class="field-item"><a href="/tag/codesniffer" property="schema:about" hreflang="en">CodeSniffer</a></div>
          <div class="field-item"><a href="/tag/drupal-9" property="schema:about" hreflang="en">Drupal 9</a></div>
              </div>
      </div>
<ul class="links inline"><li class="node-readmore"><a href="/blog/2021-04-05/drupal-y-codesniffer-para-mantener-la-calidad-del-codigo-de-nuestros-proyectos" rel="tag" title="Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos" hreflang="en">Read more<span class="visually-hidden"> about Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos</span></a></li></ul>
  </div>

</article>
</div>
    <div class="views-row"><article data-history-node-id="12" role="article" about="/blog/2021-03-20/tome-y-gitlab-pages-para-crear-paginas-estaticas-de-forma-rapida-y-sencilla" typeof="schema:Article">

  
      <h2>
      <a href="/blog/2021-03-20/tome-y-gitlab-pages-para-crear-paginas-estaticas-de-forma-rapida-y-sencilla" rel="bookmark"><span property="schema:name">Tome y gitlab pages para crear páginas estáticas de forma rápida y sencilla.</span>
</a>
    </h2>
      <span property="schema:name" content="Tome y gitlab pages para crear páginas estáticas de forma rápida y sencilla." class="hidden"></span>


      <footer>
      <article typeof="schema:Person" about="/user/1">
  </article>

      <div>
        Submitted by <span rel="schema:author"><span lang="" about="/user/1" typeof="schema:Person" property="schema:name" datatype="">Oskar</span></span>
 on <span property="schema:dateCreated" content="2021-03-20T09:16:32+00:00">Sat, 03/20/2021 - 10:16</span>
          <span property="schema:dateCreated" content="2021-03-20T09:16:32+00:00" class="hidden"></span>

      </div>
    </footer>
  
  <div>
    
            <div property="schema:text" class="field field-name-body field-type-text-with-summary field-label-hidden field-item"><p>Vamos a ver esta magnífica unión para tener una web estática (html, css, y js) de forma rápida y sencilla.</p>

<p><a href="https://gitlab.com/">Gitlab</a> es una saas que tiene varios servicios, entre ellos ofrece la posibilidad de alojar páginas estáticas de forma sencilla, para hacerlo nos tenemos que fijar en esta sección de la documentación de Gitlab: <a href="https://docs.gitlab.com/ee/user/project/pages/getting_started_part_one.html#user-and-group-website-examples">User and Group website examples</a>, y también en esta otra sección de la documentación de Gitlab: <a href="https://docs.gitlab.com/ee/user/project/pages/introduction.html#limitations">Specific configuration options for Pages</a>.</p>

<p>Por otro lado vamos a usar Tome, que es un módulo de <a href="https://www.drupal.org/project/tome">Drupal 8||9</a> que permite exportar el contenido de nuestra página web a contenido estático, la documentación de Tome esta <a href="https://tome.fyi/">aquí</a>.</p>

<p> </p>

<p>Ahora vamos a la miga de todo esto (en realidad es muy sencillo), para casar Tome con Gitlab Pages, tenemos que entender una cosa, tenemos que definir en Drupal una carpeta donde Tome se encargará de guardar todo el contenido estático, por seguridad y organización en la carpeta donde tenemos los archivos devueltos por Tome no tenemos ni el directorio .git, ni los archivos .gitignore, ni .gitlab-ci.yml. Yo lo que he hecho es crear un directorio llamado public_tome, y dentro de él otro llamado html, es este segundo directorio el que guarda todos los archivos generados por Tome, mientras que dentro de public_tome guardamos todo,  el directorio html sería como el docment_root y el resto de elementos son los que queda fuera del document_root.</p>

<p> </p>

<article class="align-center">
  
      
  <div class="field field-name-field-media-image field-type-image field-label-visually_hidden">
    <div class="field-label visually-hidden">Image</div>
              <div class="field-item">  <img src="/sites/default/files/styles/large/public/2021-03/Captura%20de%20pantalla%20de%202021-03-20%2010-33-46.png?itok=t4urLQSq" width="480" height="96" alt="Gitlab Pages + Tome estructure static folders" loading="lazy" typeof="Image" />


</div>
          </div>

  </article>


<p> </p>

<p>Con esta estructura ya construida editamos el archivo de configuración (settings.php o settings.local.php) y añadimos lo siguiente:</p>

<pre>
<code class="language-php">$settings['tome_static_directory'] = '../public_tome/html';
</code></pre>

<p>Con esta configuración Tome despliega los archivos en la ruta que queremos.</p>

<p>El siguiente paso es configurar el archivo gitlab-ci.yml, este archivo es un archivo de configuración de pipeline que nos permite indicar (de forma sencilla) que queremos hacer durante el pipeline, lo importante para nosotros es la parte de script que es donde indicaremos que parte queremos copiar al servidor de estáticos de Gitlab.</p></div>
      
  <div class="field field-name-field-tags field-type-entity-reference field-label-above">
    <div class="field-label">Tags</div>
          <div class="field-items">
              <div class="field-item"><a href="/tag/gitlab" property="schema:about" hreflang="en">Gitlab</a></div>
          <div class="field-item"><a href="/tag/tome" property="schema:about" hreflang="en">Tome</a></div>
          <div class="field-item"><a href="/tag/drupal-9" property="schema:about" hreflang="en">Drupal 9</a></div>
          <div class="field-item"><a href="/tag/static-content" property="schema:about" hreflang="en">Static Content</a></div>
              </div>
      </div>
<ul class="links inline"><li class="node-readmore"><a href="/blog/2021-03-20/tome-y-gitlab-pages-para-crear-paginas-estaticas-de-forma-rapida-y-sencilla" rel="tag" title="Tome y gitlab pages para crear páginas estáticas de forma rápida y sencilla." hreflang="en">Read more<span class="visually-hidden"> about Tome y gitlab pages para crear páginas estáticas de forma rápida y sencilla.</span></a></li></ul>
  </div>

</article>
</div>

    

  
  

  
  <a href="http://default/taxonomy/term/10/feed" class="feed-icon">
  Subscribe to Drupal 9
</a>

</div>
</div>

  </div>

  </div>

          </div>
        </div>
              </div>
              <aside id="sidebar-first" class="sidebar layout-sidebar-first" role="complementary">
            <div class="region region-sidebar-first">
    <div id="block-presentaciondelblog">
  
    
      
            <div class="field field-name-body field-type-text-with-summary field-label-hidden field-item"><p>Este es mi blog, "el blog de Oskar", Me puedes escribir vía <a href="https://www.linkedin.com/in/oskarcalvo/">Linkedin</a></p>
</div>
      
  </div>
<div class="views-element-container" id="block-views-block-last-10-articles-block-1">
  
      <h2>Últimos artículos</h2>
    
      <div><div class="js-view-dom-id-6243558343cef6cc53fbf9151e16e3940045c3d88e497f6a5eb20abe1137dcbc">
  
  
  

  
  
  

  <div class="item-list">
  
  <ul>

          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-04-14/configurar-xdebug3-para-depurar-codigo-con-vscode-usando-los-contenedores-wodby-4" hreflang="en">Configurar Xdebug3 para depurar código con VSCode usando los contenedores wodby 4 drupal</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-04-14</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-04-14/configurar-xdebug3-para-depurar-codigo-con-vscode-usando-los-contenedores-wodby-4-0" hreflang="en">Configurar Xdebug3 para depurar código con VSCode usando los contenedores wodby 4 drupal</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-04-14</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-04-05/drupal-y-codesniffer-para-mantener-la-calidad-del-codigo-de-nuestros-proyectos" hreflang="en">Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-04-05</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-03-20/tome-y-gitlab-pages-para-crear-paginas-estaticas-de-forma-rapida-y-sencilla" hreflang="en">Tome y gitlab pages para crear páginas estáticas de forma rápida y sencilla.</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-03-20</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-03-13/ovh-y-lo-inesperado" hreflang="en">OVH y lo inesperado</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-03-13</span></span></li>
    
  </ul>

</div>

    

  
  

  
  
</div>
</div>

  </div>

  </div>

        </aside>
      
      
    </main>
    
  </div>
  <footer id="footer" role="contentinfo">
    
    <div id="footer-content">
      
    </div>
  </footer>

</div>
  </div>

    
    <script type="application/json" data-drupal-selector="drupal-settings-json">{"path":{"baseUrl":"\/","scriptPath":null,"pathPrefix":"","currentPath":"taxonomy\/term\/10","currentPathIsAdmin":false,"isFront":false,"currentLanguage":"en"},"pluralDelimiter":"\u0003","suppressDeprecationErrors":true,"user":{"uid":0,"permissionsHash":"9b4d8556262e2e38b0af236cf1dbcd3346d83a0d1ed154b46f4ac15d03ce2257"}}</script>
<script src="/sites/default/files/js/js_b7BC_YTtFXAsUEtL5nCoXPJ7aIHnk5fcdkjSQ4XyTbg.js"></script>

  </body>
</html>
